;
; try make an image
;
pro cadi_doimg,hdr,frqar,ear,maxFrq=maxFrq,gridStep=gridStep,logScl=logScl,whitebck=whitebck
; x - freq
; y - hght
;
	    common colph,decomposedph,colph
	if keyword_set(whitebck) then begin
		colAr=[9,0,7,10,6,5,4,3,2,8]
 		colg=0
		backcol='ffffff'xul
		icolaxis=0
		symSize=1.75
	endif else begin
 		colAr=[9,8,7,10,6,5,4,3,2,1]
		backcol='000000'xul
 		colg=9
		icolaxis=1
		symSize=1.
	endelse
	ncol=n_elements(colAr)
	nel=n_elements(ear)
	maxFrq=(n_elements(maxFrq) eq 0)?10.:maxFrq
	gridStep=(n_elements(gridStep) eq 0)?.5:gridStep
	axisth=2.
	chth=2.
	sym=1
	logScl=(keyword_set(logScl))?1:0

	hor,1,maxfrq
	ver,90,510
;
	xtit='Freq [MHz]'
	ytit='Virtual Hght [km]'
	tit=hdr.filenm
	
	cs=1.5
	xlog=logScl
	plot,[0,1],[0,1],/nodata,chars=cs,background=backcol,col=colph[icolaxis],$
		xtitle=xtit,ytitle=ytit,xlog=xlog,xthick=axisth,ythick=axisth,$
		charthick=chth,$
		tit=tit
	maxP=1000.
	nstep=ncol
	pstep=maxp/nstep

	hstp=3.
	hmin=90.
	for i=0,nel-1 do begin &$
		x=frqAr[ear[i].ifreq].freq*1e-6 &$
		y=(ear[i].ih *hstp) + hmin &$
		p=(ear[i].iq[0]*1.)^2 + (ear[i].iq[1]*1.)^2 &$
		icol=long(p/pstep + .5)  &$
		icol=(icol ge nstep)?nstep-1:icol &$
		plots,x,y,col=colph[colAr[icol]],psym=sym,symsize=symsize &$
	endfor
; plot grid
	symg=3
	n=(510-90)/10 + 1
	ystp=findgen(n)*10 + 90
	xstp=fltarr(n) 
	for i=1.,maxFrq,gridStep do begin &$
		print,i &$
    	oplot,xstp+i,ystp,psym=symg,col=colph[colg] &$
	endfor
;
	n=(maxFrq-1)*maxFrq
	x=findgen(n)/maxFrq + 1
	y=fltarr(n)
	for i=100,500,50 do begin  &$
		print,i &$
    	oplot,x,y+i,psym=symg,col=colph[colg] &$
	endfor
	return
end
