;+
;NAME:
;dbit - convert to db's
; 
;SYNTAX: a=dbit(b,minval=minval,scl=scl)
;
;ARGS:        b[]:input value
;KEYWORDS:
;  minval: float.. all values < this set to minval before log
;   scl  : float.. rather than scale to max value,scale to scl..
;                  (for no scaling set scl=1.)       
;RETURNS:     a[]: b in db's
;-
function dbit,b,minval=minval,scl=scl

    if not keyword_set(minval) then minval=0.
	if n_elements(scl) eq 0 then scl=1.
	sclLoc=n_elements(scl eq 1)?scl:max(b>minval)
    if minval ne 0. then begin
        return,alog10((b > minval)/(sclLoc))*10.
    endif else begin
        return,alog10(b/sclLoc)*10.
    endelse
end
