;+
;NAME:
;dmtodayno - convert day,mon,year to daynumber
;KEYWORDS:
;YYMMDD: if supplied then use this rather than day,mon,year
;
;SYNTAX: daynum=dmtodayno(day,mon,year,yymmdd=yymmdd)
;ARGS:
;       day[] : int/long day of month
;      mon [] : int/long month of year 1..12
;      year[] : int/long  4 digit year
;
;RETURNS:
;      daynum[]: int/long  daynumber of year. First day of year is 1.
;
;DESCRIPTION:
;   Convert from dayofmonth, month , and year to daynumber of year.
;It also works with arrays.
;-
function dmtodayno,day,mon,year,yymmdd=yymmdd
    dayNoDat=[0,0,31,59,90,120,151,181,212,243,273,304,334,$
              0,0,31,60,91,121,152,182,213,244,274,305,335]

	if n_elements(yymmdd) eq 1 then begin
		dayl=yymmdd mod 100l
		monl=(yymmdd/100l)  mod 100l
		yearl=(yymmdd/10000l)
	endif else begin
		dayl=day
		monl=mon
		yearl=year
	endelse
    ind=where(monl lt 1,count)
    if count gt 1 then monl[ind]=1
    ind=where(monl gt 12,count)
    if count gt 1 then monl[ind]=12
    index=isleapyear(yearl)*13
    return,dayNoDat[index + monl] + dayl
end

