;+
;NAME:
;fitazeleval - evaluate the 12m fit at the  az,el positions.
;SYNTAX: val=fitazeleval(az,el,fitI)
;ARGS:
;   az[n]   : float az positions to evaluate fit. (if fittype does not use az, just
;                   enter a dummy value)
;   el[n]   : float el positions to evaluate fit.
;  fitI     :{azelfit12m} fit info to use for fitting
;DESCRIPTION:
;   fitazeleval() will evaluate the fit stored in fitI. Currenly this
; is just the 12m gain curves. eventually i'll write fitazel() to make it more general
; This routine will allow you to evaluate that fit at
; any az,el you want.
;SEE ALSO:
;-
function fitazeleval,az,el,fitI
	n=n_elements(el)
	azOnly=0
	elonly=0 
    case fiti.fittype of
;       (A0 + a1*sin(el)
        1: begin
             fel= fitI.coef[0] + fitI.coef[1]*(sin(el*!dtor))
		    elOnly=1
           end
		else: begin
     		print,'Illegan fittype in fitI'
			return,-1 
		 end
	endcase
    if (elonly ne 0)  then return,fel
    return,faz+fza
end
