;+
;NAME: 
;hms1_secmid - convert hour,min,secs 1 word to seconds from midnite
;SYNTAX - ret=hms1_secmid(hhmmss)
;ARGS: 
;   hhmmss[n]: double angle to convert
;RETURNS:
;   ret[n] : double secMidnite
;
;- 
function hms1_secmid,hms
    lhms=hms
;
;   make positive, remember sign
;
    sind=where(lhms lt 0.,scount)
    if scount gt 0 then lhms[sind]=-lhms[sind]
;
;   integer version
;
    itemp=long(lhms)
    s= hms - itemp + (itemp mod 100)
    h=itemp/10000
    m=(itemp/100) mod 100
;
;   see if overflow
;
    ind=where(s ge 60.,count)
    if count gt 0 then begin
        s[ind]=s[ind]-60.
        m[ind]=m[ind]+1.
    endif
    ind=where(m ge 60.,count)
    if count gt 0 then begin
        m[ind]=m[ind]-60.
        h[ind]=h[ind]+1.
    endif
    h=h mod 24.
;
;   return array  , or single element
;
    n=n_elements(hms);
    if n gt 1 then begin
        ret=dblarr(n)
        ret=h*3600l + m*60l + s
        if scount gt 0 then ret[sind]*=-1.
    endif else begin
        ret=h*3600 + m*60 + s
        if scount gt 0 then ret*=-1.
    endelse
    return,ret
end
