;+
;NAME:
;maxmin3d  - find max, min for an array of 3d points
;SYNTAX: mmAr=maxmin3d(pnts)
;ARGS:
;       pnts[3,n]:double    points to search
;RETURNS:
;      mmAr[3,2]: double    holds,max,min for each dimenstion
;                           [*,0] are the mins, [*,1] are the max'es
;
;DESCRIPTION
;   return max,min info for the 3d array of points. 
;EXAMPLE:
;   let pnts[3,n] be a double array of x,y,z points
;
; mmAr=maxmin3d(pnts)
; mmAr[*,0] = min x,y,z values
; mmAr[*,1] = max x,y,z values
; note that the max or min values do not come from 1 point. they are the max
;min in each x,y,z dimension
;-
;
function maxmin3d,pnts

	mm=dblarr(3,2)
	xmax=max(pnts[0,*],min=xmin)
	ymax=max(pnts[1,*],min=ymin)
	zmax=max(pnts[2,*],min=zmin)
	mm[0,*]=[xmin,xmax]
	mm[1,*]=[ymin,ymax]
	mm[2,*]=[zmin,zmax]
	return,mm
end
