;+
;NAME: 
;srcextended - compute gain correction for extended source
;SYNTAX: correction=srcextended(srcWidth,fwhm)
;ARGS:
;srcWidth :float  source width in same units as beamwidth
;fwhm[n]:float  beam width (fwhm)
;RETURNS:
;correction:  float  When computing telescope gain use correction*SrcFlux
;DESCRIPTION:
;	Compute the loss from a source being extended. The user
;inputs the source width and beamWidth(fwhm) in the same
;units. The routine assumes both of these are axially symmetric.
;	The returned correction  is a fraction of the point source value.
;It is linear in power.
;
;-
function srcextended,srcWidth,fwhm
;
;  use cor=fwhm^2/((fwhm^2 + srcSize^2)
;
	return,(fwhm^2)/(fwhm^2 + srcWidth^2)
end
