;
;indoff : long  if present then index into filelist
;
; ----------------------------------------------------------------------------
; displayMenu:  display menu
;
;
;           Cmd CurVal   Function
;           -->  PLOTTING
;            h   h1 h2    hor min,max
;            v   v1 v2    ver min,max
;            -->  POSITIONING:
;            num  01103      move to this file number
;           -->  MISC
;            s   n        stepMode s 1 on,s 0 off
;            d   -        debug.. just stop in routine
;            q   -        quit

pro displayMenu,key,hfI
;
	hfI.dbgStop=0
    print,'Cmd CurVal    function'
    print,''
    print,'-->  PLOTTING:'
    lab=string(format='(" band ", i,"          band to use. 5 or 8")',hfI.band)
    print,lab
    print," hspc   low high   set spc hor plot range ..no args --> autoscale"
    print," vspc   low high   set spc vertical   plot range ..no args --> autoscale"
    print," hpk    low high   set pk hor plot range..1 arg-> startpos,no args --> autoscale"
    print," vpk    low high   set pk vertical   plot range ..no args --> autoscale"
    lab=string(format='(" delay " ,f5.2,"  plot delay secs")',$
                    hfI.plotdelay)
    print,lab
    lab=string(format='(" cor   " ,f5.2,"  offset correction. add to data")',$
                    hfI.offsetCor)
    print,lab
;
    print,''
    print,"-->  POSITIONING:"
    lab=string(format='(" num  ", i,"          number of file to use")',hfI.curFnum)
    print,lab
    print,''
    print,"-->  MISC:"
    print,' cur            track cursor position'
    print,' trace          avg,max,min to plot'
    lab=string(format=$
            '(" s   ",i4,"       step mode. 1-on,0-off")',hfI.stepmode)
    print,lab
    print,' z              stop in procedure (for debugging)'
    print,' q              to quit'
    print,'otherKeys       continue plotting'
    inpstr=''
    read,inpstr
    toks=strsplit(inpstr,' ,',/extract)
    cmd=toks[0]
 switch cmd of
    'band':begin
        if n_elements(toks) ne 2 then begin
            print,'Enter band  5 or 8'
        endif else begin
			itemp=fix(toks[1])
			if (itemp ne 5) and (itemp ne 8) then begin
                print,"Enter: band   5 or 8"
			endif else begin
            	hfI.band=itemp
				hfI.newBand=1
			endelse
        endelse
        break
	    end
    'hspc':begin
        if n_elements(toks) eq 1 then begin
            hfI.spchor=[0,0]
        endif else begin
            if (n_elements(toks) eq 3) then begin
				hfI.spchor=[toks[1],toks[2]]
            endif else begin
                print,"Enter: hspc  hormin hormax"
            endelse
        endelse
        break
        end
    'vspc':begin
        if n_elements(toks) eq 1 then begin
            hfI.spcver=[0,0]
        endif else begin
            if (n_elements(toks) eq 3) then begin
				hfI.spcver=[toks[1],toks[2]]
            endif else begin
                print,"Enter: vspc  vermin vermax"
            endelse
        endelse
        break
        end

    'hpk':begin
		case n_elements(toks) of 
			1: hfI.pkhor=[0,0]
			2: hfI.pkhor=[toks[1],-999.]
		    3: hfI.pkhor=[toks[1],toks[2]]
        else : print,"Enter: hpk   hrmin hrmax"
		endcase
        break
        end
    'vpk':begin
        if n_elements(toks) eq 1 then begin
            hfI.pkver=[0,0]
        endif else begin
            if (n_elements(toks) eq 3) then begin
				hfI.pkver=[toks[1],toks[2]]
            endif else begin
                print,"Enter: vpk  vermin vermax"
            endelse
        endelse
        break
        end

   ;   plot delay

    'delay':begin
        if n_elements(toks) ne 2 then begin
            print,'Enter delay secsToDelay'
        endif else begin
            hfI.plotDelay=float(toks[1])
        endelse
        break
        end

   ;   offset cor

    'cor':begin
        if n_elements(toks) ne 2 then begin
            print,'Enter offset correction:'
        endif else begin
            hfI.offsetCor=float(toks[1])
        endelse
        break
        end

   ;   trace

    'trace':begin
        if n_elements(toks) ne 2 then begin
            print,'Enter trace  max,min,avg'
        endif else begin
			case toks[1]  of
			'max':  hfI.itrace=1
			'min':  hfI.itrace=2
			'avg':  hfI.itrace=0
			else: print,'Enter trace  max,min,avg'
		    endcase
		endelse
        break
        end
;
    'z':begin &$
        hfI.dbgStop=1
        return
        end
;
;   num: postion to this file number
;
    'num':begin
        if n_elements(toks) ne 2 then begin
            print,'Enter n   number position to this file number'
        endif else begin
            lnum=string(format='(i05)',toks[1])
			hfI.curFnum=lnum
			hfI.ipk=0
        endelse
        break
        end

;
        'q':begin
            print,'quitting...'
            hfI.done=1
            break
            end
        's':begin
            if n_elements(toks) lt 2 then begin
                print,'Enter s 0 or 1 .. turn off,on step mode'
            endif else begin
                hfI.stepmode=(toks[1] eq 0) ? 0 : 1
            endelse
            break
            end
       'cur':begin
            print,"track cursor. LeftMouseButton:MarkPosition, RightMouseButton:done"
            i=rdcur(icur)
            break
            end
        else: break
    endswitch
	lab=(hfI.done eq 1)?"Idl program exiting...":"continuing..."
    print,lab
    return
end
;


pro hf_anrit ,lyymmdd,fpat=fpat,txmon=txmon,hfI=hfI,plotdelay=plotdelay,$
			firstfnum=firstfnum,verb=verb,band=band,notxnum=notxnum
;
;notxnum: when looking at sun, no tx nums.. pretend like only monitoring tx 1
	forward_function basename,hf_cplrtoxmitpwr

    common colph,decomposedph,colph

	if n_elements(notxnum)  eq 0 then notxnum=0
	if n_elements(band) eq 0 then band=5
	a={ tm: 0LL,$  ; sec 1970
        pwr: 0.,$ ; dbm
  		txNum: 0}
	maxNPk=20000L
	pkAr=replicate(a,maxNPk)
	useVerb=keyword_set(verb)
	colar=[1,2,3,5,6,7]
	secsToWait=1.
	; will  generate ipk array
	if n_elements(plotdelay) eq 0 then plotdelay=0.
	fnumNdig=5;			; number of digits in filenumber
	fpatL=(keyword_set(fpat))?fpat : $
 		      '/share/phildat/hf/' + lyymmdd + "/" + $
                  "hf_*.dat"
	if n_elements(txmon) eq 0 then txmon=123456		
    if notxnum then txmon=1
	txMonL=txMon
;
; need basename, grab prefix, suffix around parts that change
; prefix NNNNN_TxNum Suffix
;
	baseNm=basename(fpatL,dirNm=dirNm)
	a=stregex(baseNm,"([^*]*)\*(.*)",/extract,/sub)
	fnmPref=a[1]
	fnmSuf =a[2]
;
; 	get current list of file 
;
	ntrace=3
	nchan=551L
	maxNumTx=6
	maxNumTrace=3
	hfI={$
		txMonAr:intarr(maxNumTx),$;  1,2,3,4,5,6 tx nums we monitor
		numTxMon: 0        ,$;  number in txMonAr we are monitoring
		freq  : dblarr(nchan),$;
		datAr : dblarr(nchan,maxNumtrace,maxNumTx),$
	    flistar: strarr(6),$;	
		gotData: intarr(6),$; 1 --> got data, 0 --> no data yet
		tmAr  : lon64arr(maxNumTx),$; time stamps  secs 1970..
;
		curTxInd: 0,$ ; cur index into txMonAr we are using 

		curFnum : 0L, $ ; file number for current txind .this increments
;                    ; each file written

	    band    :  band,$ ; 5 or 8 mhz
		newBand :  1,$ ; set to 1 when if we switch to other band
	    plotDelay: 1.,$; plot delay
		dbgStop  : 0 ,$; stop in routine
		stepMode :0 ,$
		done     : 0, $; 1 --> done
		offsetCor: 0.,$ ; offset correction .. add to data before plotting, peak value
	    spcHor   : [0.,11.],$;  hor for spec  auto? min=max 
	    spcver   : [-45.,20.],$;  ver for spec
	    pkHor   :  [0.,0.],$;  hor for pk
	    pkver   :  [-45.,20.],$;  ver for pk
		ipk     :  0L, $       ; index into pkAr for next entry
		itrace  :  0 $    ; 0 -avg, 1-max, 2-min
	}
;
; 	convert txmon into array ..
;
	itemp=intarr(6)
	for i=0,maxNumTx-1 do begin
		itemp[i]=txMonL mod 10L
		txMonL/=10L
	endfor
	hfI.numTxMon=0
	for i=0,maxNumTx-1 do if (itemp[i] ne 0) then hfI.numTxMon++
	icur=0
	for i=hfI.numTxMon-1,0,-1  do begin
		hfI.txMonAr[icur]=itemp[i]
		icur++
	endfor
;	for i=0,hfI.ntxMon-1 do print,i,hfI.txMonAr[i]
;
; 	get filelist current dir
;
	flist=file_search(fpatL)
; 	try to start 6 files in
;   default is to start at file 0 ,index 0
;
	hfI.curTxInd=0
	hfI.curFNum  =0L
	nfiles=n_elements(flist)
	if nfiles[0] eq '' then begin
		i0=-1
	endif else begin
		if (nfiles ge maxNumTx) then begin
			if (n_elements(firstFnum) eq 1) then begin
				i0=(firstFnum < (nfiles-1))	
			endif else begin
;				i0=nfiles- maxNumTx
				i0=0L
		    endelse
		endif else begin
			i0=0
		endelse
	endelse
	if i0 ge 0 then begin
		fname=flist[i0]
		a=stregex(fname,".*_([0-9]*).([0-6]).dat",/subex,/extr)
		hfI.curFnum=long(a[1])
	    fnumNdig=strlen(a[1]) ; prior to 02nov15 i used 4 digits
	endif
	hfI.spchor=(hfi.band eq 5)?[0,11]:[0,20]
	needWait=0
; 
;	 while loop we run forever
;
	hfi.ipk=0L
	key=checkkey()
;
; 	this if for monitoring in hf building..
;    with 1400x1024 screen
;	window,0,xsize=800,ysize=884,xpos=500,ypos=200
;	window,0,xsize=900,ysize=884,xpos=400,ypos=200
;	window,0,xsize=1000,ysize=884,xpos=300,ypos=200
;   for hf window 1920x1080
	window,0,xsize=1100,ysize=884,xpos=700,ypos=100
	!p.multi=[0,1,2]
	while (1) do begin
;
; 	create pattern for next filenumber
;
		if (useVerb) then begin
			print,"waiting for filenum:",hfI.curFnum," txnum:",hfI.txMonAr[hfI.curTxInd]
		endif
		key=''
		key=checkkey()
		if (key ne '' ) or (hfI.stepMode)  then begin
			displayMenu,key,hfI
			if hfI.dbgStop then stop
			if hfI.done  then return
		endif		

		if (needWait) then begin
			wait,secsToWait
			needWait=0
		endif
		if (fnumNdig eq 4) then begin
			fpat1=dirNm + fnmPref + string(format='(i04,".*.dat")',hfI.curFnum) 
    	endif else begin
			if notxnum then begin
				fpat1=dirNm + fnmPref + string(format='(i05,".dat")',hfI.curFnum) 
			endif else begin
				fpat1=dirNm + fnmPref + string(format='(i05,".*.dat")',hfI.curFnum) 
			endelse
		endelse
;
;	see if txnum for this file is the one we are waiting on..
;
		flist=file_search(fpat1) 
		if useverb then print," file_search returns:",flist
		if (flist[0] eq '') then begin
			needwait=1
			continue
		endif
		if notxnum then begin
		   fTxNum=1
		   hfI.curTxInd=0
		endif else begin
			a=stregex(flist[0],".*([0-6]).dat",/subex,/extr)
			fTxNum=fix(a[1])
		endelse
		itx=hfI.curTxInd
		ReqtxNum=hfI.txMonAr[itx]
		if reqTxNum ne fTxNum then begin
			hfI.curFNum++
			continue
		endif
;
;		input the file
;	
		istat=anritinpbin(flist[0],ntrace,fI)
		if (istat lt 0) then begin
			needWait=1
			continue
		endif

		hfI.datAr[*,*,itx]=fI.spc +  hfI.offsetCor
		hfI.gotData[itx]=1
		hfI.tmAr[itx]=fI.mtime
		hfI.flistAr[itx]=fname
		if (hfI.newBand) then begin
			hfI.freq=fI.freq
			pkSearch=(hfi.band eq 8)?[7.5,8.5]:[4.5,5.5]
			ii=where((hfI.freq ge pkSearch[0]) and (hfI.freq le pkSearch[1]),cnt)
			ifrqPkAr=[ii[0],ii[cnt-1]]
			hfI.spchor=(hfi.band eq 5)?[0,11]:[0,20]
			hfI.newBand=0
		endif
;		print,'ipk,itx,fi.mtime,hfi.tmar[itx]',hfi.ipk,itx,' ',flist[0],$
;					' ',fi.mtime,hfi.tmAr[itx]
		pkAr[hfi.ipk].tm=hfI.tmAr[itx]
		pkAr[hfi.ipk].pwr=max(hfi.datAr[ifrqpkAr[0]:ifrqpkAr[1],hfI.itrace,itx])
        pkAr[hfi.ipk].txNum=reqTxNum
;		print,'xmit to continue'
;		key=checkkey(/wait)
;		if key eq 's' then stop
;
;
		hor,hfi.spchor[0],hfi.spchor[1]
		ver,hfi.spcver[0],hfi.spcver[1]
		labAr=['Avg','MaxHold','MinHold'] 
		plot,[0,1],[0,1],/nodata,$
			xtit='Freq [MHz]',ytit='Power [dbm]',$
			title='HF transmitted Power. ' + systime(0,hfI.tmAr[itx]) + $
				' displaying:'+labAr[hfI.itrace]
		j=0
		totpwr=0.
		for i=0,hfI.numTxMon-1 do begin
			if (hfI.gotData[i]) then begin
				icol=colar[i]
				oplot,hfI.freq,hfI.datAr[*,hfI.itrace,i],col=colph[icol]
				; hhmmss, yyyymmdd
				a=fromsecs1970(hfI.tmAr[i])
				maxVal=max(hfi.datAr[ifrqpkAr[0]:ifrqpkAr[1],hfI.itrace,i])
			    pkw=hf_cplrtoxmitpwr(maxval,band=hfI.band)
				lcur=(i eq itx)?"*":""
				lab=string(format='("tx",i1," ",f6.2," dBm",1x,f5.1," kW",1x,a,a)',$
				hfI.txMonAr[i], maxVal,pkw,$
				            fisecmidhms3(long(hms1_hr(long(a[0]))*3600)),lcur)
				totPwr+=pkw 
				xp=.7
				xp=.58
				ln=2.5
				scl=.7
				csn=1.5
				note,ln+j*scl,lab,chars=csn,col=colph[icol],xp=xp
				j++
			endif
		endfor
		ln1=ln-1
		xp1=.1
		csn1=2.2
		scl=.8
		note,ln,      string(format='("TotPwr: ",f5.1," kW")',totpwr),$
				chars=csn1,font=font,xp=xp1,col=colph[1] 
		note,ln+1*scl,string(format='("Band  : ",I5)',hfI.band),$
				chars=csn1,font=font,xp=xp1,col=colph[1] 
;
; 		now the pk
;	
			

		if ((hfi.pkhor[0] eq hfi.pkhor[1]) or (hfi.pkhor[1] lt -900.)) then begin
			; auto scale hor
			if (hfI.ipk gt 0) then begin
;				tmin=min(pkar[0:hfI.ipk-1].tm,max=tmax)
				tmin=pkar[0].tm
				a=fromsecs1970(tmin); [hhmmss,yymmdd]
	            hmin=hms1_hr(a[0])
				hmax=hmin +  ( (pkar[hfi.ipk -1].tm) - tmin)/3600.
;				a=fromsecs1970(tmax); [hhmmss,yymmdd]
;	            hmax=hmin + (tmax - tmin)/3600.
				eps=60/3600.
				if hfi.pkhor[1] lt -900 then begin
					hor,hfi.pkhor[0],hmax+eps
			    endif else begin
					hor,hmin-eps,hmax+eps
				endelse
			endif
		endif else begin
			hor,hfi.pkhor[0],hfi.pkhor[1]
		endelse
		ver,hfi.pkver[0],hfi.pkver[1]
		 lab=(hfI.band eq 8)?'[7.5 to 8.5 MHz].':'[4.5 to 5.5 MHz].'
		 plot,[0,1],[0,1],/nodata,$
            xtit='time [Hr]',ytit='Power [dbm]',$
            title='Pk transmitted Power ' + lab +  '  + systime(0,hfI.tmAr[itx])'
        j=0
        for i=0,hfI.numTxMon-1 do begin
			txNum=hfI.txMonAr[i]
			cnt=0
			if hfI.ipk gt 0 then begin
				ii=where(pkAr[0:hfI.ipk-1].txnum eq txNum,cnt)
			endif
            icol=colar[i]
;			print,"txnum,pkcnt:",txNum,cnt
			if cnt ge 2 then begin
				a=fromsecs1970(pkar[ii[0]].tm); [hhmmss,yymmdd]
				h0=hms1_hr(a[0])
				hr=(pkAr[ii].tm - pkAr[ii[0]].tm)/3600. + h0
				oplot,hr,pkAr[ii].pwr,col=colph[icol]
			endif
        endfor
		if (plotdelay gt 0) then wait,hfI.plotDelay

;
;		inc to next fnum, tx
;
		hfi.ipk++
		hfI.curTxInd=(hfI.curTxInd + 1) mod (hfI.numTxMon)
		hfI.curFNum++
	endwhile
	
	return
end
