;
; input calib input from data files
;ARGS:
;fname: string for ascii file to read
;yymmdd: long  to add to struct
;
;RETURNS:
;  n: long  number of entries in dlI
;dlI[n]:{}  array of structs holding data
;inp[n]:strarr if supplied then string array of input 
;        0    1    2   3    4     5     6
; format:drv spa1 spa2 tIn tout1 tout2 gpm   hh:mm
function hf_calibinp,fname,txNum,yymmdd,dlI,inp=inp
;
	dlscale=.264
	a={ yymmdd: 0l,$
	    hhmm  : 0l,$
		txNum : 0 ,$
         rfDrv: 0.,$
		cplr :fltarr(2),$;dbmbefore after
		cplrA: 0.      ,$;dbm avg
		tIn  : 0.      ,$; input water
	    tout2: fltarr(2),$;meter 1,2
	    toutA: 0.       ,$;average tout2
	    tout2D:0.       ,$; Tout1 - tout2
		gpm   :0.,$
	    pwrKw :0.}        ; from water

	n=readasciifile(fname,inp,comment='#')
	dlI=replicate(a,n)
	for i=0,n-1 do begin
		a=strsplit(inp[i],/extract)
		dlI[i].rfDrv=float(a[0])
		dlI[i].cplr=[float(a[1]),float(a[2])]
		dlI[i].tIn  =float(a[3])
		dlI[i].tout2 =[float(a[4]),float(a[5])]
		dlI[i].gpm   =float(a[6])
	    dlI[i].hhmm  =long(strmid(a[7],0,2)+ strmid(a[7],3,2))
	    dlI[i].yymmdd=yymmdd
	    dlI[i].txNum =txNum
	endfor
	y=(10.^(dlI.cplr[0]*.1) + 10.^(dlI.cplr[1]*.1))*.5
	dlI.cplrA=alog10(y)*10
	dlI.toutA=(dlI.tout2[0] + dlI.tout2[1])*.5
	dlI.tout2D=dlI.tout2[0] - dlI.tout2[1]
	dlI.pwrKw=(dlI.toutA - dlI.tin)*dlI.gpm*dlscale
	return,n
end
