;+
;NAME:
;hf_cmbsynlpwri - combine synLog (dbfDrive) and pw .. wants utcrI spcanalyzer
;SYNTAX:n=hf_cmbsynlpwri(synL,pwrI,pwrIC,tmSyn1970=tmSyn1970)
;ARGS:
; synL[n]: {}    synth log input via hf_inpsynlog()
; pwrI[m]: {}    pwr info input via:hf_gettxpwr()
;RETURNS:
; n     : int  number of entries in pwrI
;pwrIC[m]: {}  combined struct with rf drive,phase,rfon interpolated
;              to pwrI times
; tmsyn1970[n]: double return sec 1970 for logI
;-
function hf_cmbsynlpwri,synL,pwrI,pwrIC,tmSyn1970=tmSyn

	nsyn=n_elements(synL)
	npwrI=n_elements(pwrI)
;
;	 convert synlog times to sec 1970 .. wants utc
;
	tmsyn0=tosecs1970(synl[0].yyyymmdd,synl[0].hhmmss*1d) + 4d*3600d
;	assume we don't cross a new year
	dayno=synl.daynum + synl.secmid/86400d
	tmSyn=(dayno - dayno[0])*86400d + tmsyn0
;
; 	now create pwrIC
;
	a={ gotdat:intarr(6),$
        freq  :fltarr(6),$
          tm  :lon64arr(6),$
		dat   :fltarr(3,6),$
	    rfOn  : 0,$
        phDeg :fltarr(6),$
        ampdbf:fltarr(6)}
	pwrIC=replicate(a,npwrI)
	; index into synl for eac tx measurement
	indAr =lonarr(6,npwrI)
	ampAll=fltarr(6,npwrI)
	isynMax=nsyn-1l
	for itx=0,5 do begin &$
		isyn=0 &$
		for i=0,npwrI - 1 do begin &$
			k=isyn &$
 			isynNext=(isyn + 1) < isynMax &$
			jj=isynNext &$
 			while (((pwrI[i].tm[itx] ge tmSyn[isynNext])) and (isynNext lt isynMax)) do isynNext+=1 &$
			if isynNext ne jj then isyn=isynNext-1 &$
			indAR[itx,i]=isyn &$
; 			print,itx,i,k,isyn &$
		endfor &$
	endfor

	pwrIC.gotdat=pwrI.gotdat
	pwrIC.freq  =pwrI.freq
	pwrIC.tm    =pwrI.tm  
	pwrIC.dat   =pwrI.dat
	for i=0,5 do begin
		kk=reform(indar[i,*])   
		pwrIC.phDeg[i]=synL[kk].phDeg[i] 
		pwrIC.ampDbf[i]=synL[kk].ampDbf[i]
	endfor
;   assumes have valued for all 6
	pwrTmAvg=median(pwrI.tm,dim=1,/double)
	isyn=0 &$
    for i=0,npwrI - 1 do begin &$
        k=isyn &$
        isynNext=(isyn + 1) < isynMax &$
        jj=isynNext &$
        while (((pwrTmAvg[i] ge tmSyn[isynNext])) and (isynNext lt isynMax)) do isynNext+=1 &$
        if isynNext ne jj then isyn=isynNext-1 &$
		pwrIC[i].rfon=synL[isyn].rfon
     endfor &$
	return,npwrI
end
