;+
;NAME:
;SYNTAX: hf_pltday,hfI,$
;           ltit=ltit,$
;			cs=cs,ncs=ncs,hrlim=hrlim
;           v1=v1,v2=v2,v3=v3,indTxPwr=indTxPwr,
;	        lntx=lntx,$
;	  f1fl=f1fl,f2fl=f2fl,f3fl=f3fl,f4fl=f4fl,$
;ARGS:
;hfI:  {}       struct holding info returned from hf_inpday
;ltit: string   add to title top of page. 
;indTxPwr: int  0 = avg, 1 pk, 2 minval
;v1[2]: float   vertical scale for tx coupler output power.
;               def: [-40,20] .. in dbm
;v2r[2]: float  vertical scale for individual txoutput pwr in kw
;               def: [0,100]
;pltcor: int    pltcor if set then plot cor data in syndrive
;
;DESCRIPTION:
;	the routine hf_inpday() will input an hfI struct holding data for that day
;This routine will plot the data.
;-
pro  hf_pltday,hfI,ltit=ltit,$
	  v1=v1,v2=v2,v3=v3,v4=v4,indTxPwr=indTxPwr,$
	  f1fl=f1fl,f2fl=f2fl,f3fl=f3fl,f4fl=f4fl,$
	  lntx=lntx,$
	  hrLim=hrlim,cs=cs,ncs=ncs ,colar=colar,pltcor=pltcor,$
	  corOff=corOff,xycor=xycor,rfOnOff=rfOnOff,sclRfOn=sclRfOn,xyrfOn=xyrfon,$
	  frameToUse=frameToUse

;
    common colph,decomposedph,colph
	

    if n_elements(colar) lt 6 then colar=[1,2,3,4,5,7]
	
	lyymmdd=string(format='(i06)',hfI.yymmdd)
	lband=(hfI.txI.band eq 8)?'8 Mhz Band':'5 MHz Band'
    if n_elements(cs)  eq 0 then cs=2.0
	if n_elements(ncs) eq 0 then ncs=1.5
	font=1
	if n_elements(hrlim) ne 2 then begin
		eps=.1
		ii=where(hfI.txI.hrall gt 0.)
		hrLim=fltarr(2)
		hrLim=[min(hfI.txI.hrall[ii])-eps,max(hfI.txI.hrall[ii])+eps]
	endif
	if n_elements(v1) ne 2 then v1=[-40,20]
	if n_elements(v2) ne 2 then v2=[0,100.]
	if n_elements(v3) ne 2 then v3=[-30,5.]
	if n_elements(v4) ne 2 then v4=[-10,370]
	if n_elements(lntx) eq 0 then lntx=1.5
	useCor=1
	if n_elements(pltcor) gt 0 then useCor=pltCor ne 0
	if hfI.corI.n eq 0 then useCor=0
	if n_elements(corOff) eq 0 then corOff=v3[0]+2
	if n_elements(rfOnOff) eq 0 then  rfOnOff=v3[0]+3
	if n_elements(sclRfOn) eq 0 then  sclRfOn=10.

	if n_elements(indTxPwr) eq 0 then indTxPwr=0 ; avg
	if n_elements(ltit) eq 0 then ltit=''
	frameToUseL=intarr(4) + 1
	if n_elements(frameToUse) eq 4 then frameToUseL=frameToUse
	hor,hrLim[0],hrlim[1]
	ver,v1[0],v1[1]
;
	n=0
	for i=0,3 do if (frameToUseL[i] ne 0) then n++
	if n eq 0 then begin
		print,"Requested no frames to be printed.. returning"
		return
	endif
	!p.multi=[0,1,n]
;  ---------------------------------------------------------------------------
; frame 1 coupler output
;
	usedLtit=0
	if (frameToUseL[0] eq 1 ) then begin
		tit=lyymmdd + ' ' + lband + ' tx power. rf coupler output. ' + ltit
		usedLtit=1
		plot,[0,1],[0,1],/nodata,$
			chars=cs,font=font,$
			xtit='Hour of day [ast]',ytit='dbm',$
			tit=tit
		for itx=0,5 do begin &$
			icol=colAr[itx] &$
			ii=where(hfI.txI.hrall[*,itx] gt 0) &$
			oplot,hfI.txI.hrAll[ii,itx],hfI.txI.pwrI[ii].dat[indTxPwr,itx],col=colph[icol] &$
		endfor
		xp=.04
		xpinc=.06
		for i=0,5 do begin &$
			icol=colAr[i] &$
			note,lntx,"tx" + string(format='(i1," ")',i+1),chars=ncs,font=font,xp=xp+i*xpinc,col=colph[icol] &$
		endfor
	; flag and label?
		nfl=n_elements(f1fl)
		if nfl gt 0 then begin
			flI=f1fl
			if (size(flI,/type) eq 8 ) then begin ; make sure a struct 
				for i=0,nfl-1 do begin
				  flag,flI[i].xfl,col=colph[flI[i].icol],linestyle=flI[i].ls
				  if (flI[i].labfl ne '') then begin
					xyouts,flI[i].xylab[0],flI[i].xylab[1],flI[i].labfl,$
						chars=flI[i].cs,font=flI[i].font,col=colph[flI[i].icol] 
			      endif
			    endfor
		    endif
	    endif
	endif
;  ---------------------------------------------------------------------------
; frame 2 KW output 
;

; Kwatts
	if frameToUsel[1] ne 0 then begin
		tit1=' Output power in KWatt'
		tit=(usedLTit)?tit1:$
			lyymmdd + ' ' + lband + tit1 + ltit
		usedLtit=1


	ver,v2[0],v2[1]
	plot,[0,1],[0,1],/nodata,$
    	chars=cs,font=font,$
    	xtit='Hour of day [ast]',ytit='KiloWatts',$
    	tit=tit
	for itx=0,5 do begin &$
    	icol=colAr[itx] &$
		ii=where(hfI.txI.hrall[*,itx] gt 0) &$
   	 	oplot,hfI.txI.hrAll[ii,itx],hfI.txI.pwrByTx[ii,itx,indTxPwr],col=colph[icol] &$
	endfor
	; flag and label?
	nfl=n_elements(f2fl)
	if nfl gt 0 then begin
		flI=f2fl
		if (size(flI,/type) eq 8 ) then begin ; make sure a struct 
			for i=0,nfl-1 do begin
				flag,flI[i].xfl,col=colph[flI[i].icol],linestyle=flI[i].ls
				if (flI[i].labfl ne '') then begin
					xyouts,flI[i].xylab[0],flI[i].xylab[1],flI[i].labfl,$
						chars=flI[i].cs,font=flI[i].font,col=colph[flI[i].icol] 
			    endif
			endfor
		endif
	endif
	endif

;
; syndrive values and cor
; don't want lines between points, make const value to .1 secs befor the next 
; change
 	nl=n_elements(hfI.logI)
    lI=replicate(hfI.logI[0],nl*2)
    lI=reform(lI,2,nl)
    for i=0,nl-1 do begin
        lI[0,i]=hfI.logI[i]
        lI[1,i]=hfI.logI[i]
        if i le (nl-2) then lI[1,i].secMid=hfI.logI[i+1].secMid - .1
    endfor
    lI[1,nl-1].secMid=lI[0,nl-1].secmid
    lI=reform(lI,2*nl)
    nl=n_elements(lI)
	hrL=li.secMid/3600.
	sym=-1
;  ---------------------------------------------------------------------------
; frame 3 syn drive, corpwr
;
	if frameToUseL[2] ne 0 then begin
		tit1=' synth drive amplitude. '
		tit=(usedLTit)?tit1:$
			lyymmdd + ' ' + lband + tit1 + ltit
		usedLtit=1
	ver,v3[0],v3[1]
    stripsxy,hrL,transpose(lI.ampdbf),0,0,/step,psym=sym,$
        chars=cs,font=font,colAr=colAr,$
        xtitle='hr of day',ytitle='db below full scale',$
        tit=tit
  ls=2
  ;if useRfOn then $
  oplot,hrl,lI.rfOn*sclRfOn + rfOnOff ,linestyle=ls,col=colph[3]
; overplot cor pwr
  if n_elements(xyrfon) eq 0 then begin
  	x=(hrlim[1]-hrlim[0])*.1 + hrLim[0] 
  	y=rfOnOff + sclrfon - 3
	xyrfon=[x,y]
  endif
  xyouts,xyrfon[0],xyrfon[1],"RfOn",chars=ncs,font=font,col=colph[3]
;
; overplot cor pwr
;
	if (usecor) then begin
		oplot,hfI.corI.hr,hfI.corI.tp + corOff,col=colph[2]
        if n_elements(xycor) eq 0 then begin
  	       x=(hrlim[1]-hrlim[0])*.2 + hrLim[0] 
  	       y=corOff + 1.5
	       xycor=[x,y]
        endif
		xyouts,xycor[0],xycor[1],"COR TP",chars=ncs,col=colph[2],font=font
	endif
	; flag and label?
	nfl=n_elements(f3fl)
	if nfl gt 0 then begin
		flI=f3fl
		if (size(flI,/type) eq 8 ) then begin ; make sure a struct 
			for i=0,nfl-1 do begin
				flag,flI[i].xfl,col=colph[flI[i].icol],linestyle=flI[i].ls
				if (flI[i].labfl ne '') then begin
					xyouts,flI[i].xylab[0],flI[i].xylab[1],flI[i].labfl,$
						chars=flI[i].cs,font=flI[i].font,col=colph[flI[i].icol] 
			    endif
		     endfor
		endif
	endif
	endif
;  ---------------------------------------------------------------------------
; frame 4 phase
;
	if frameToUseL[3] ne 0 then begin
		tit1=' synth phase. '
		tit=(usedLTit)?tit1:$
			lyymmdd + ' ' + lband + tit1 + ltit
		usedLtit=1
    ver,v4[0],v4[1]
    stripsxy,hrL,transpose(lI.phDeg),0,0,/step,psym=sym,$
        chars=cs,font=font,colar=colar,$
        xtitle='hr of day',ytitle='phase [deg]',$
        tit=' synth phase'
	; flag and label?
	nfl=n_elements(f4fl)
	if nfl gt 0 then begin
		flI=f4fl
		if (size(flI,/type) eq 8 ) then begin ; make sure a struct 
			for i=0,nfl-1 do begin
				flag,flI[i].xfl,col=colph[flI[i].icol],linestyle=flI[i].ls
				if (flI[i].labfl ne '') then begin
					xyouts,flI[i].xylab[0],flI[i].xylab[1],flI[i].labfl,$
						chars=flI[i].cs,font=flI[i].font,col=colph[flI[i].icol] 
			    endif
			endfor
		endif
	endif
	endif


	return
end
