;+
;NAME:
;p12mtsyseval - evaluate p12m tsys fit at elevations
;SYNTAX: tsys=p12mtsyseval(fitI,el)
;ARGS:
;fitI: {}    struct holding fit info (from p12mfittsys())
;el[n]: float elevations for tsys evaluation.
;RETURNS:
;TSYS[n]: float tsys deg K 
;DESCRIPTION:
;	Evaluate tsys at the requested elevations. The caller passes in the
;fit Info struct (from p12mfitsys) and the elevations to evaluate tsys at.
;The routines the tsys values. This will return tsys for 1 pol
;If you want Tsys for both pols then call the routine twice using
;the fit for polA and then polB
;-
function p12mtsyseval,fitI,el


	secza=1./sin(el*!dtor)
	vexp=exp(-fitI.coef[1]*secza)
	return,(fitI.coef[0] + fitI.Tatm*(1.-vexp) + fitI.Tcmb*vexp)
end
