;+
;NAME:
;p12mtsysvsel- return tsys vs el for a given frequency
;SYNTAX: istat=p12mtsyvsel(freq,el,tsys,freqused,yymmdd=yymmdd)
;ARGS:
; freq: float   freq in Mhz to use
; el[n]: deg    elevations to compute tsys at
;KEYWORDS:
;yymmdd  :  long  if supplied then evaluate tsys for this date. The default is the
;                 last fit parameters.
;RETURNS:
; istat   : int    >0 number of values returned in tsys
;                  < 0 error.
;tsys[n,2]: float deg K tsys polA,polB at the requested elevation for this freq.
;freqused : float Mhz  the frequency used for the evaluation. It will be the closest
;                      fit freq.
;DESCRIPTION:
;	Fits were made to tsys vs elevation for 7 freq bands at xband. This routine
;will return tsys evaluated at the fit values. You input a single freq and 1 or more elevations.
;-
function p12mtsysvsel,freq,el,tsys,freqused,yymmdd=yymmdd
	return,0
end
