;
; process psr files for a given source
;
function psrfrfiprocsrc,fnmI,pI,verb=verb
	
	useverb=keyword_set(verb)
	ii=sort(fnmI.num)
	fnmIL=fnmI[ii]
	nfiles=n_elements(fnmI)
	istat=psrfopen('',desc1,fnmI=fnmI[0])
	psrfclose,desc1
	hasCal=(desc1.hpri.trk_mode eq 'WCAL')?1:0
	if hasCal then begin 
		i=1
		while ((desc1.hpri.trk_mode eq 'WCAL') and (nfiles gt i) )do begin
			fnmIL=fnmI[i++:*]
			nfiles=n_elements(fnmIL)
			istat=psrfopen('',desc1,fnmI=fnmIL[0])
			psrfclose,desc1
		endwhile
		if i ge nfiles then return,0
	endif
	nrowsT=desc1.totrows
	psrfclose,desc1
	if nfiles gt 1 then begin
		istat=psrfopen('',desc2,fnmI=fnmIL[nfiles-1])
	    nrowsT=nrowsT*(nfiles-1)+ desc2.totrows
	    psrfclose,desc2
	endif
	npol=desc1.hsubint.npol
	nchan=desc1.hsubint.nchan
    pI={src   : desc1.hpri.src_name,$
		nfiles: nfiles,$
		file1 : fnmIL[0].fname,$  ; first file of the set
        hpri  : desc1.hpri,$
        hsubint : desc1.hpri,$
        nrowsT : nrowsT,$
        nrowsF : lonarr(nfiles),$ ; rows in each file
	    nchan :  nchan,$
	    secRow:  desc1.hsubint.tbin*desc1.hsubint.nsblk ,$  ; secs after averaging  a row
	    npol  : npol,$
	    az    : fltarr(nrowsT),$ 
	    el    : fltarr(nrowsT),$ 
	    freq  : fltarr(nchan),$
	    data  : fltarr(nchan,nrowsT,npol),$
		drms  : fltarr(nchan,nfiles,npol)} 


	icur=0l
	nsig=3.
	xtit='Freq [MHz]'
	ytit='Tm [seconds]'
	border=90

	for ifile=0,nfiles-1 do begin
		istat=psrfgetfile('',bar,fnmI=fnmIL[ifile],/avg,desc=desc)
		nrows=desc.totrows
		pI.nrowsF[ifile]=nrows
		if useverb then begin
			print,format='(a," nrows:",i)',fnmIL[ifile].fname,nrows
			imga=imgflat(reform(bar.data[*,0],nchan,nrows),0,/median)
			imgb=imgflat(reform(bar.data[*,1],nchan,nrows),0,/median)
			!p.multi=[0,1,2]
			xr=[bar[0].dat_freq[0],bar[0].dat_freq[nchan-1]]
			yr=[0,nrows]*pI.secRow
			tit=fnmIL[ifile].fname + " PolA. " + $
					string(format='(i2," of ",i2," files")',ifile+1,nfiles)
			imgdisp,imga,xr=xr,yr=yr,nsig=nsig,$
				xtit=xtit,ytit=ytit,tit=tit,border=border
			!p.multi=[1,1,2]
			tit="PolB"
			imgdisp,imgb,xr=xr,nsig=nsig,$
				xtit=xtit,ytit=ytit,tit=tit,border=border
			empty
		endif
	
		if ifile eq 0 then pI.freq=bar[0].dat_freq
		i1=icur + nrows -1
		print,ifile,icur,i1
		pI.data[*,icur:i1,*]=transpose(bar.data,[0,2,1])
		pI.az[icur:i1]=bar.tel_az
		pI.el[icur:i1]=90. - bar.tel_zen
		pI.drms[*,ifile,0]=rmsbychan(reform(bar.data[*,0,*],nchan,nrows))
		pI.drms[*,ifile,1]=rmsbychan(reform(bar.data[*,1,*],nchan,nrows))
		icur=i1+1
	endfor
	return,1
end
