;
; get lro data from cleaned up file
;
; ast yymmdd
; pmdbm=    return power meter dbm values.. use to maybe exclude bad values
; 22jul20 - cable from coupler to lro power meter replaced
;  date                    measured total loss
; before22jul20ThisRoutine   82.6db         .. this must have been an original measurement
;  17nov11                   82.8db         .. dana's .pdf file.. this routine should have been using this
;                                              powermon  csh script used this
;  >22jul20                  82.92db        .. major by felix with new cable
; 
;      This routine till 22jul
function sblroget,fname,jd,pwrKw,yymmdd1=yymmdd1,yymmdd2=yymmdd2,pmdbm=pmdbm
;
	usepmdbm=arg_present(pmdbm)
	asttoutc=4d/24d
	if (jd ge 2459053.2d) then begin ; new cable installed  
 		cplrDb=82.92d
	endif else begin
;		cplrDb=82.6d   ; what this routine used for all calls prior to 22jul20
        cplrDb=82.8d
	endelse
	mjdtojd=2400000.5D
	cmd="wc " + fname
	spawn,cmd,nlines
	npnts=long((strsplit(nlines,/ext))[0])
	dat=dblarr(2,npnts)
	openr,lun,fname,/get_lun
	readf,lun,dat
	free_lun,lun
	jd=reform(dat[0,*]+mjdtojd)
	pmdbm=reform(dat[1,*])
;                                towatt              to kw
	pwrKW=10d^((pmdbm - 30d + cplrDb)*.1)*1d-3
	if (n_elements(yymmdd1) gt 0 ) || (n_elements(yymmdd2) gt 0) then begin
		jd1=jd[0]
	    jd2=jd[npnts-1]
		if n_elements(yymmdd1) gt 0 then begin
			frac1=yymmdd1 mod 1d
			y=yymmdd1
			if (y mod 10000L) lt 99 then y+=20000000L
			jd1=yymmddtojulday(long(y)) + asttoutc + frac1
		endif
		if n_elements(yymmdd2) gt 0 then begin
			frac2=yymmdd2 mod 1d
			y=yymmdd2
			if (y mod 10000L) lt 99 then y+=20000000L
			jd2=yymmddtojulday(long(y)) + asttoutc + frac2
		endif
		ii=where((jd ge jd1) and (jd le jd2),nn) 
	    jd=jd[ii]
	    pwrKw=pwrKw[ii]
	    if usepmdbm then pmdbm=pmdbm[ii]
		npnts=n_elements(jd)
	endif
return,npnts
end
