;+
;NAME:
;scrmpntinpfile - input a p12mscram file
;SYNTAX: npts=scrmpntinpfile(fname,b)
;ARGS:
;       file:   string  name of file
;       b[] :   {}      returns log file (with scram timing block at the front
;       npts:   long    number of samples found
;KEYWORDS:
;RETURNS:
;     npts: long number of samples found in this day.
;DESCRIPTION:
;   scrmpntinpfile will input all of the p12m data in the requested file.
;On pdevs1  scramLog program listens to the scram broadcasts and writes
;each one to /data/scramLog/p12myymmdd.dat
;	This has the p12m log struct broadcast on ethernet with the
;scram timing block at the beginning (when the read occured etc..)
;Since /data/scramLog/ is not a network file, you need to scp the data
;from pdevs1 before using this routine.
;-
function    scrmp12minpfile,filename,b
;
;   get the filename
;
	err=0
	openr,lun,filename,/get_lun,err=err
	if err ne 0 then begin
	  print,"could not open:",filename," msg:",!error_state.msg
	  return,-1
	endif
	type='p12m'
   	npts=scrminp(lun,b,-1L,type)
    free_lun,lun
    return,npts
end
