pro make_azza_newcal, ptsperstrip, b2dfit, pixelsize, azarray, zaarray

;+
;NAME:
;make_azza_newcal
;PURPOSE: make N x N arrays of az, za values that duplicate the
; N original positions sampled in the pattern observations. 

;CALLING SEQUENCE:
;MAKE_AZZA, ptsperstrip, b2dfit, pixelsize, azarray, zaarray
;
;INPUTS:
;
;   PTSPERSTRIP, the nr of points per strip (e.g. 60)
;
;   B2DFIT, the array of 2d fit coefficients generated by
;BEAM2D_DESCRIBE (whose documentation is therein).
;
;OUTPUTS:
;   PIXELSIZE, the size of the pixels in arcmin
;   AZARRAY, ZAARRAY, two arrays of azoffset, zaoffset in units of arcmin.
;-

hpbw_nominal = b2dfit[ 10, 1] 

pixelsize = 0.1* hpbw_nominal

totoffset_calc= pixelsize* (findgen( ptsperstrip) - 0.5*(ptsperstrip-1.))

azarray= fltarr( ptsperstrip, ptsperstrip)
zaarray= fltarr( ptsperstrip, ptsperstrip)

for nr=0, ptsperstrip-1 do begin
azarray[ *, nr] = totoffset_calc
zaarray[ nr, *] = totoffset_calc
endfor

return
end
