pro pltfilename, indx, a, addin, addend, $
	plottitle, plotfilename 

;+

;PURPOSE: generate plotfilenames and plot titles of the outputs of
;various Mueller programs. 
;
;CALLING SEQUENCE:
;
;	PLTFILENAME, indx, a, addin, addend, plottile, plotfilename
;
;INPUTS:
;
;	INDX, the array of indices of selected sources generated by
;mueller2. 
;
;	A, the A structure
;
;	ADDIN, a plotfilename identifier added to the standard form.
;
;	ADDEND, the suffex...e.g. .ps or .sav
;
;OUTPUTS:
;
;	PLOTTITLE, the ascii plot title
;
;	PLOTFILENAME, the plolfilename
;
;-


;;GET THE DATA IN CONVENTIONAL FORMAT...
daycnv, a[ indx[0]].julday+ 2400000d0, yr, mn, day
datestring= date( yr, ymd2dn( yr, mn, day))

frq= trim( fix( a[indx[0]].cfr))

plottitle= $
a[indx[0]].rcvnam + '  ' + frq + ' MHz  ' + 'BRD' + $
	trim( a[indx[0]].brd) + '  ' + $ 
        a[ indx[0]].srcname + '  ' + datestring

plotfilename= a[indx[0]].rcvnam + '_' + frq + '_' + 'bd' + $
	trim( a[indx[0]].brd) + '_' + $
        a[indx[0]].srcname + '_' + addin + '_' + datestring + addend

end
