;+
;NAME:
;svcmptargets - compare target file datasets
;SYNTAX: npts= svicmptargets(tI1,tI2,tIDif)
;ARGS:
;	    tI1[n]: {}   hold target info first dataset
;	    tI2[m]: {}   hold target info 2nd dataset
;RETURNS:
;k            : long number of points in 1 that are different from 2.
;tiDif[k]     : {}   hold pnts that are different 
;tI[npts]  : {targetpnts} return array of target structs
;
;DESCRIPTION:
;	Check if the points in target set 1 are the same as those in target set 2.
;If any targets are different, return the differences (tI1 - ti2) id tiDif.
;If a target from 1 is not in 2, return -999 in the 3 differences
;	You can input a target reference file using:
;svinptargets().
;	The target info struct holds:
;help,tI,/st
;** Structure <2c2c438>, 2 tags, length=40, data length=40, refs=2:
;   NAME            STRING    '101S'
;   xyz             DOUBLE    Array[3]   x,y,z coord
;-
function svcmptargets,tI1,ti2,tiDif

	missing=[-999,-999.,-999]

	n1=n_elements(tI1)
	n2=n_elements(tI2)
	tiDif=replicate(tI1[0],n1)
	icur=0l
	for i=0,n1-1 do begin
		ii=where(tI1[i].name eq tI2.name,cnt)
	    if cnt eq 1 then begin
			dif=(tI1[i].xyz - ti2[ii[0]].xyz)
			jj=where(dif ne 0,cnt1) 
			if cnt1 ne 0 then begin
				tiDif[icur].name=ti1[i].name
				tiDif[icur].xyz=dif
				icur++
			endif
		endif else begin
			tiDif[icur].name=ti1[i].name
			tiDif[icur].xyz=missing
			icur++
		endelse
	endfor
	if icur ne n1 then begin
		if icur eq 0 then begin
			tiDif=''
		endif else begin
			tiDif=tiDif[0:icur-1]
		endelse
	endif
	return,icur
end
