;
; process a set of files from 1 observation
; will return illegal freq. if found more than once, then 
; keep the strongest
; assumes filenames are ddd_xxxx where ddd is the direction
; unless you supply dir=dir keywords
;
;KEYWORDS:
;dir[n]:  string  if supplied then the ascii direction for each file pointing.
;                 must have same number of entries as flist
;illegal:         if set then just return the illegal frequencies found.
;                 if found more than once, then return the strongest.
;hilow:           if set then just return illegals below 5150 or above 5850
;
function uniiprocfiles,flist,scanLoc,scanyymmdd,scanhhmmss,txAr,dir=dir,illegal=illegal,$
		hilow=hilow
;
	range1=[5.150,5.35]
	range2=[5.47 ,5.85]
	maxfile=200
	nfiles=n_elements(flist)
	usedir=0
	if n_elements(dir) gt 0 then begin
		if dir[0]  ne '' then begin		
			if (n_elements(dir) ne nfiles) then begin
				print,"If dir keyword supplied, you must provide an ascii dir for each file"
	 			return,-1
			endif
			usedir=1
		endif
	endif
	maxNum=nfiles*maxfile
	setup=1
	icur=0l
	for i=0,nfiles-1 do begin
		; 
		if usedir then begin
			scandir=dir[i]
		endif else begin
			bname=basename(flist[i])
			j=strpos(bname,"_")
			scandir=strmid(bname,0,j)
		endelse
		n=uniiparsehtml(flist[i],scanLoc,scandir,scanyymmdd,scanhhmmss,txI)
		if ( n gt 0) and (setup eq 1) then begin
			txAr=replicate(txI[0],maxNum)
			setup=0
		endif
		if n gt 0 then begin
			txAr[icur:icur+n-1]=txI
			icur+=n
		endif
	endfor
	ntot=icur
	if ntot eq 0 then begin
		txar=''
	endif else begin
		txAr=txAr[0:ntot-1]
	endelse
;
;	return just illegal
;
	if keyword_set(illegal) or keyword_set(hilow) then begin
		ok=intarr(ntot)
		if keyword_set(hilow) then begin
			ii=where(((txAr.freq ge range1[0]) and (txAr.freq le range2[1])),cnt)
		endif else begin
			ii=where(((txAr.freq ge range1[0]) and (txAr.freq le range1[1])) or $
		         ((txAr.freq ge range2[0]) and (txAr.freq le range2[1])),cnt)
		endelse
		if cnt gt 0 then ok[ii]=1
		ii=where(ok eq 0)
		txAr=txAr[ii]
	    ntot=cnt
	endif
		; now find duplicates, keep strongest signal
	umac=txAr[uniq(txar.macadr,sort(txar.macadr))].macadr
	nmac=n_elements(umac)
	for i =0,nmac-1 do begin
		ii=where(txar.macadr eq umac[i],cnt)
		if cnt gt 1 then begin
			; find strongest signal
			a=max(txar[ii].sig,ind)
			ii[ind]=-1  ; set index of max to -1
			for j=0,cnt-1 do if ii[j] ne -1 then txAr[ii[j]].freq=-1.; not max sig get freq=-1
		endif
	endfor
	; now get rid of duplicates..freq < 0.
	ii=where(txar.freq ge 0.,cnt)
	if cnt ne ntot then begin
		txar=txar[ii]
		ntot=cnt
	endif
	return,ntot
end
