;+
;NAME:
;usrp_iobuf_inpfile - read a 1 second file
;SYNTAX: istat=usrp_iobuf_inpfile(fI,firsttime=firsttime)
;ARGS
; fI:  {}   File info from  usrp_iobuf_init()
;KEYWORDS:
;firsttime: int if true then initialize pointer to start.
;RETURNS:
; istat: int    
; pI : {}   position info for this databuf
; buf: complex buffer they want
;
; istat: 1  got full 1 second of data
;        2  got less than 1 second of data (but > 0)
;        0  hit end of dataset, no data left
;       -1  open error
;DESCRIPTION:
;   Read the next 1 second file into fi.buf. This is used by the
;routines: usrp_iobuf_get(), usrp_iobuf_init()
;	Set firsttime true if this is the first call to this routine (normally
;done in usrp_iobuf_init().
;
; This routine is not normally called by the user
;-
function usrp_iobuf_inpfile,fI,firsttime=firsttime 
;
;	if not first time, increment to next file
;
	if n_elements(firsttime) eq 0 then firsttime=0
	fI.tmJump=0
	ifile=fI.ifile
	idir =fI.idir
	tmLast=-1l ; time last file
	if not keyword_set(firsttime) then begin
		tmLast=fI.tmSec
;		more files left in dir?
		if ((ifile + 1) lt fI.dI[idir].nfiles) then begin
			ifile++
		endif else begin
;			any more data?
			if (idir +1) ge fI.ndir then return,0
			idir++
			ifile=0
		endelse
	endif
	fI.idir=idir
	fI.ifile=ifile
;
;	make filename
;   sec1970
	tmSec=fi.ifile + fi.dI[idir].sec1
	fname=fI.dI[idir].dirN + '/rf@' + string(format='(i10)',tmSec) + '.000.h5' 
	ioErr=0
	openr,lun,fname,/get_lun,error=ioErr
	if ioErr ne 0 then begin
		printf,-2,"err:usrp_iobuf_inpfile"
		printf,-2,!ERROR_STATE.MSG
		return,-1
	endif
	fI.fname=fname
;   start of data in file
	dataOffBytes=2680l
	point_lun,lun,dataOffBytes
	inp=intarr(2,25000000l)
	readu,lun,inp,transfer_count=nsmpRead
	free_lun,lun
	fI.smpInBuf=nsmpRead/2l
	fI.buf=complex(inp[0,*],inp[1,*])
	fI.ismp=0l
	fI.tmSec=tmSec
	fI.tmJump=((tmLast + 1) ne (fI.tmSec)) and (not firsttime)
	return,(fI.smpInBuf eq fI.maxSmpFile)?1:2
end
