;+
;NAME:
;usrp_iobuf_pos - position to a file in dataset
;SYNTAX: istat=usrp_iobuf_pos(fI,idir,ifile)
;ARGS
; fI:  {}   File info from  usrp_iobuf_init()
;nsmp: long number of samples to return in buf
;idir: long directory index to position to. 0 based
;ifile:long file index in dir to position to. 0 based
;RETURNS:
; istat: int   1 positioned ok
;              -1  open error
;              -2  directory not available    
;              -3  file not in directory
;DESCRIPTION:
;	Position to a directory, file in the iobuf dataset. The
;user inputs the directory index (0 based) and the file index (0 based).
;The routine will read this file into the local buffer. 
;	It is an error if the file does not exist.
;	You can then call usrp_iobuf_get() to access the data
;-
function usrp_iobuf_pos,fI,idir,ifile
;
;  see if the file exists
;
	if idir ge fi.ndir then return,-2
	if ifile ge (fi.di[idir].nfiles) then return,-3
	fi.ifile=ifile
	fi.idir=idir
	istat=usrp_iobuf_inpfile(fi,/firsttime)
	return,(istat le 0)?-1:1	
end
