;+
;NAME:
;usrpclpwrhdr- write .hdr file from clp decoding
;SYNTAX:istat=usrpclpwrhdr,file,hdr
;ARGS:
;file: string	header filename  xxxx.hdr
;hdr : {}       header from usrpclprdhdr()
;KEYWORDS:
;RETURNS:
;istat:	0 ok -1 error
;DESCRIPTION:
;	Write the .hdr file using struct from usrpclprdhdr().
;-
;
function usrpclpwrhdr,hdrfile,hdr
;
; warning.. the order var in tmI in the struct needs to match the
;           order of the toks in the line in  the ascii file

;
;   hdr needs same order as this.. same with file
;
;  12apr12 added pos_azgrch
	hdrI=[["FILE_NUM        ","I"],$
          ["BLK_IN_FILE     ","I"],$  
          ["NIPPS_ACCUM     ","I"],$
          ["CUM_IPP_START   ","I"],$
		  ["SMP_TM_USEC     "  ,"F"],$
		  ["HGHT_RES_USEC   ","F"],$
		  ["NUM_HGHTS       ","I"],$
          ["HGHT_DELAY_USEC " ,"F"],$
		  ["FFTLEN          " ,"I"],$
	      ["TX_SMP_IPP      " ,"I"],$
	      ["HGHT_SMP_IPP    " ,"I"],$
          ["CODE_LEN_USEC   " ,"F"],$
          ["DATE_SECMID     " , "I I"],$
          ["POS_AZGRCH      ","F F F"]$
		]
	err=0
	openw,lunout,hdrfile,error=err,/get_lun
	if err ne 0 then begin	
		print,"open error on file:",hdrfile
		print,!error_state.msg
		return,-1
	endif
	i=0
	printf,lunout,string(format='(a,i)',hdrI[0,i++],hdr.filenum)
	printf,lunout,string(format='(a,i)',hdrI[0,i++],hdr.blkinfile)
	printf,lunout,string(format='(a,i)',hdrI[0,i++],hdr.nippsaccum)
	printf,lunout,string(format='(a,i)',hdrI[0,i++],hdr.cumippstart)
	printf,lunout,string(format='(a,f8.3)',hdrI[0,i++],hdr.smptmusec)
	printf,lunout,string(format='(a,f8.3)',hdrI[0,i++],hdr.hghtresusec)
	printf,lunout,string(format='(a,i)',hdrI[0,i++],hdr.nhghts)
	printf,lunout,string(format='(a,f8.3)',hdrI[0,i++],hdr.hghtdelayusec)
	printf,lunout,string(format='(a,i)',hdrI[0,i++],hdr.fftlen)
	printf,lunout,string(format='(a,i)',hdrI[0,i++],hdr.txsmpipp)
	printf,lunout,string(format='(a,i)',hdrI[0,i++],hdr.hghtsmpipp)
	printf,lunout,string(format='(a,f8.3)',hdrI[0,i++],hdr.codelenusec)
	printf,lunout,string(format='(a,i8,1x,i5)',hdrI[0,i++],hdr.date,hdr.secmid)
	printf,lunout,string(format='(a,f9.4,1x,f9.4,f9.4)',hdrI[0,i++],hdr.az,hdr.zagreg,hdr.zach)
	ln=string(format=$
'("AvgTMING IppG:",f5.2," remDC:",f5.2," rfi:",f5.2," dcdM:",f5.2," fft:",f5.2," pwr:",f5.2," GpwrS:",f5.3," WpwrS:",f5.2," totS:",f5.2)',$
hdr.tmI.ippgms,hdr.tmI.rmdcms,hdr.tmI.rfims,hdr.tmI.dcdmms,hdr.tmI.fftms,hdr.tmI.pwrms,hdr.tmI.gpwrs,$
 hdr.tmI.wpwrs, hdr.tmI.tots)
	printf,lunout,ln
	free_lun,lunout
	return,0
end
