;+
;NAME:
;usrpnextfile - move to next file
;SYNTAX: istat=usrpnextfile(si,find=find)
;ARGS:
;SI     :{}        from usrpinitset
;KEYWORDS:
;find   : 0l   if present the move to start of find in the
;              current directory..
;RETURNS:
; istat :   -1 no files currently open. try init
;       :   -2 no more files
;       :   -3 find no found in this directory
;       :    0 next file openned  is contiguous
;       :    1 next file, but time jump
;DESCRIPTION:
;	Open next file in the set. Position to start of read.
;If find=  supplied then this will be the next file (count from 0).
;Note: 31may17 added jump to  next directory.
;-
function usrpnextfile,si
;
	im=si.cmetaInd
	if si.cfi.fd le 0 then begin
		print,"usrpnextfile: err. no file currenly open. see usrpinitset"
	    return,-1
	endif
	oldTm=si.cfi.time
	nextInd=(keyword_set(find))?find:si.cfi.find + 1
	flist=file_search(si.cfi.dirPath+ "*.h5")
	nfiles=n_elements(flist)
	if (nextInd ge nfiles) then begin
		; see if any more directories
		if ((si.indcsd + 1) ge si.nsubdir) then begin
		; hit the end
			return,-2
		endif
		si.indcsd++
		si.cfi.dirPath=si.topdir + si.subdirAr[si.indcsd] + '/'
	    flist=file_search(si.cfi.dirPath+ "*.h5")
	 	nfiles=n_elements(flist)
		nextind=0l
	endif
;
;	close old file, open new
;
	free_lun,si.cfi.fd
	openr,lun,flist[nextInd],/get_lun
	si.cfi.fd=lun
	si.cfi.fnameAll=flist[nextInd]
	si.cfi.baseNm=basename(flist[nextInd],dirNm=dirNm)
	si.cfi.dirPath=dirNm
	si.cfi.find=nextInd
	si.cfi.time=long(strmid(si.cfi.basenm,3,10))
	fs=fstat(si.cfi.fd)
	; --> fix  if not complete file, maybe slop not there?
	si.cfi.bytesTot=(fs.size - si.endSlop)
	point_lun,lun,si.dataOff
	si.cfi.curPos=si.dataOff
;   return 0 if next sec, return 1 if jump
	return,(si.cfi.time eq (oldTm + 1L)) ? 0:1
end
