;+
;NAME:
;usrpsynctorf - sync to rf pulse
;SYNTAX: nsmp=usrpsynctorf(si)
;ARGS:
;sI      : {}     from usrpinitset()
;RETURNS;
;nsmp: long    -99   no more files
;              -1   no clp ipp in buf
;                   or could not read enough samples to find ipp (2 ipps).
;              >=0  number of samples we skipped forward to get to
;                   start of rf pulse
;si.cfi.curpos    variable and actualfile position updated to start next read
;                 at start of rf pulse in ipp.
; tp[]    : fltarr if provided then total for record
;DESCRIPTION:
;	Find the first rfpulse beyond the current position 
;in the file. The si struct will be left so the
;next read starts there.. Routine returns how many bytes from current position
;                 we moved forward
;
function usrpsynctorf,si,tp=tp
;
	; get 1 ipp + 2rf pulses so we don't straddle an rf pulse
	nsmpReq=long((2*si.expI.rfusec + si.expi.ippusec)*(si.meta[0].samplerate*1e-6) + .5)
	gotclp=0
	gotrec=0
	while  (not gotrec) do begin
		curPos=si.cfi.curpos		; remember this
		if (curPos lt si.dataOff) then curPos=si.dataOff ; since getdata will skip this..
		nsmp=usrpgetdata(si,nsmpReq,d)
		; no more files
		if nsmp eq -99 then return,-99
		; if we bridge a file, just start on new file
		gotrec= nsmp eq nsmpReq
	endwhile
;	
	indSt=usrpfindrf(si,d,tp=tp)
	if indSt lt 0 then return, indSt
	byteOff=indSt* si.bytesSmp
	point_lun,si.cfi.fd,curPos + byteOff
	si.cfi.curpos=curPos + byteOff 
	return,indSt
end
