;
; decode 8 word (8*32bit) vdif header into struct
;
function vdifhdr,inp,hdr

	hdrstd={ invalidData:0,$  ; w0: b31
          legacyMode :0,$  ; w0: b30
		  vdifVer    :0,$  ; w2: b29-31 vdif version number
		  nchanlog2  :0,$  ; w2; b28-24. nchan must be power of 2. 
		  bitsPersmp :0,$  ;
	      stationId  :0 ,$  ; w3: b0-15   station id.. should be 2 char aa
	      thrId      :0 ,$  ; w3: b16-25  thread id . to 1023
		  refEpoch   :0 ,$  ; w1: b25-30 # 6 months  from 00utc 1 jan 2000
		  cmplxdata  :0 ,$  ; w3: b31 1 complex, 0 real
	      edv        :0 ,$  ; extended data value. defines extended data
;
		  refSec     :0l,$  ; w0:b0..30 .. secs from start of 6month epoch
		  dataFrNum  :0l,$  ; w1:b0..23 .. data frame # within second 
		  dataFrLen  :0l,$  ; w2:b0..23 .. data frame length. unit=8bytes.
		  extUsrData :lonarr(4)};; w4:b0..23 then w5-7 0..31
; extended datya version 3  nrao..
	hdredv3={ invalidData:0,$  ; w0: b31
          legacyMode :0,$  ; w0: b30
		  vdifVer    :0,$  ; w2: b29-31 vdif version number
		  nchanlog2  :0,$  ; w2; b28-24. nchan must be power of 2. 
		  bitsPersmp :0,$  ;
	      stationId  :0 ,$  ; w3: b0-15   station id.. should be 2 char aa
	      thrId      :0 ,$  ; w3: b16-25  thread id . to 1023
		  refEpoch   :0 ,$  ; w1: b25-30 # 6 months  from 00utc 1 jan 2000
		  cmplxdata  :0 ,$  ; w3: b31 1 complex, 0 real
	      edv        :0 ,$  ; w4: b24-31 extended data value. defines extended data
;
		  refSec     :0l,$  ; w0:b0..30 .. secs from start of 6month epoch
		  dataFrNum  :0l,$  ; w1:b0..23 .. data frame # within second 
		  dataFrLen  :0l,$  ; w2:b0..23 .. data frame length. unit=8bytes.
;  extended data version 4 
	      rateMhz    :0l,$  ; w4:b24 1 MHz, 0 KHz
	      smpRate    :0l,$  ; w4:b0..22
          syncPat    :0l,$  ; w5: 0xACABFEED
          loIfFrqTune:0ul,$ ; w6  lo if freq tuning word # of hz. rdbe dig backtune freq
		  dbeNum     :0l ,$ ; w7:24.27
		  ifNum      :0l ,$ ; w7:20..23 ifnum 0 or 1 input to rdbe
		  subBand    :0l ,$ ; w7:17..19  dbe subband  4 logical subbands 0..3
;                                  0   1         2   3
;                             ddc 128R, 256Complex,128Real
;                             complex subband can be addressed from either side
          esbUpper    :0l,$  ;w7 b16 electronic subband.  of the baseband channel
;                                sideband relative to the input IF
          edvmaj      :0l,$  ; w7 b12..15..firmware major number
          edvmin      :0l,$  ; w7 b8 ..11..firmware minor  number
          personality :0l}   ; w7 b0 ..7  x00 pfbg,x80 ddcmark5b,0x81 ddc complex,0x82 ddcvdif
;                             

	a=size(inp)
	if ((a[1] ne 8)  or ((a[2] ne 3) and (a[2] ne 13) )) then begin
		print,"hdr input should be long array of 8"
		return,-1
	endif                  ;     12345678
	useEdv3=(ishft(inp[4],-24) and 'ff'xl) eq 3
	hdr=(useEdv3)?hdrEdv3:hdrStd

	hdr.invaliddata=(inp[0] and '80000000'xl) ne 0
	hdr.legacyMode =(inp[0] and '40000000'xl) ne 0
	hdr.refSec     =(inp[0] and '3fffffff'xl) 
;
	hdr.refEpoch   =ishft(inp[1],-24) and '3f'xl
 	hdr.dataFrNum  =(inp[1] and 'ffffff'xl); frame num within second
;
	hdr.vdifVer    =ishft(inp[2],-29)  and '7'xl 
	hdr.nchanlog2  =ishft(inp[2],-24)  and '1f'xl 
	hdr.dataFrLen  =inp[2]  and 'ffffff'xl 
;
	hdr.cmplxData  =(inp[3] and '80000000'xl) ne 0
	hdr.bitspersmp =(ishft(inp[3],-26) and '7f'xl) ne 0
	hdr.thrId      =ishft(inp[3],-16)  and '3ff'xl 
	hdr.stationId  =inp[3]  and 'ffff'xl 
;
	hdr.edv        =ishft(inp[4],-24) and 'ff'xl
	if useEdv3 eq 0 then begin
		hdr.extUsrData[0]=(inp[4] and 'ffffff'xl)
		hdr.extUsrData[1:3]=inp[5:7]
	endif else begin

		hdr.rateMHz=(inp[4] and '800000'xl) ne 0
		hdr.smpRate=inp[4] and '7fffff'xl ; this is internal complex sample rate. double if real
        hdr.syncPat=inp[5] ; 0xACABFEED
        hdr.loIfFrqTune=inp[6]  ; units - 1/2^24  in DDS UNITS
        hdr.dbeNum =ishft(inp[7],-24) and '0xf'xl
        hdr.ifNum  =ishft(inp[7],-20) and '0xf'xl
        hdr.subBand =ishft(inp[7],-17) and '0x7'xl
        hdr.esbUpper =(inp[7] and '0x10000'xl) ne 0 ; 1=upper
        hdr.edvMaj  =ishft(inp[7],-12) and '0xf'xl
        hdr.edvMin  =ishft(inp[7],-8) and '0xf'xl
        hdr.personality=inp[7] and '0xff'xl; 
                                           ;0 pfbg
                                           ;0x80 ddc mark5b,
                                           ;0x81 ddc complex
                                           ;0x82 ddc vdif
	endelse
	return,1
end
