;
; clip rfi using a median filter to remove the bandpass
;
; spcavg[n,m] float spectra to check
; maskb[n]  int    mask to return. 0->ok, 1=bad
;KEYWORDS:
; medlen: long length of median filter to use def:.02
; cliplev: float value for clipping. spc/median(spc,medlen) > cliplev is bad
;                 default 1.2
;returns
;  val   long number of  bad pnts
;maskb[n]: int     value !=0 are bad
function wbffclipmed,spcavg,maskb,medlen=medlen,cliplev=cliplev
	if n_elements(cliplev) eq 0 then cliplev=1.2
	a=size(spcavg)
	n=a[1]
	maskb=intarr(n)
	if n_elements(medlen) eq 0 then medlen=.02*n
	nn=(a[0] eq 1)?1:a[2]
	for i=0,nn-1 do begin
		spcm=median(spcavg[*,i],medlen)
	    spcr=spcAvg[*,i]/spcm
		ii=where(spcr ge cliplev,cnt)
		if cnt gt 0 then maskb[ii]+=1
	endfor
	ii=where(maskb ne 0,cnt)
	return,cnt
end
