
; compute power in spc
; freq[n]  mhz
; spc[n]   in dbm
;KEYS
; f0 : mhz starting freq . default min
; f1 : Mhz last freq  . def max
; int: lonarr indices into spc to use (overrides f0,f1)
;
;RETURNS:
; TOTPWR: double dbm ..
; bw:   : double bw used in MHz 
function wbffcmppwr,freq,spc,f0=f0,f1=f1,ind=ind,bw=bw,verb=verb
;
	useInd=n_elements(ind) gt 0
	if useInd eq 0 then begin
		if n_elements(f0) eq 0 then f0=min(freq)
		if n_elements(f1) eq 0 then f1=max(freq)
	    ind=where((freq ge f0) and (freq le f1))
	endif 
	npnts=n_elements(ind)
	if npnts eq 0 then begin
		print, "no values in freq range:",f0,f1
		return,-1
	endif
	pwrdbm=alog10(total(10d^(spc[ind]*.1)))*10.
	rbw=freq[1]-freq[0]
	bw=rbw*npnts
	if keyword_set(verb) then begin
		if useInd eq 0 then begin
			lab=string(format='("freq:",f6.1," to ",f7.1," pwr:",f6.2," dbm")',f0,f1,pwrdbm)
	    endif else begin 
			lab=string(format='("npnts:",i5," bw:",f7.1, "MHz  pwr:",f6.2," dbm")',npnts,bw,pwrdbm)
		endelse
		print,lab
	endif
	return,pwrdbm
end
