;+
;NAME:
;wbffinpscan - input a scan of  field fox data
;SYNTAX: nrecs=wbffinpscan(fbase,ffAr,npnts=npnts,ntrace=ntrace)
;ARGS:
;fbase: string  filepat to match.includes dir. don't include the *
;KEYWORDS:
; npnts:  long   number of points in spectra. def 8001
; ntrace: long   number of traces. def=1 
;RETURNS:
;nrecs     : 0 nofiles found
;          > 0  number of records  found
;DESCRIPTION
;	Input  a set of wbff files that contain fbase as the prefix to their 
;dir/filename
;-
function wbffinpscan,fbase,ffAr,npnts=npnts,ntrace=ntrace
;
	if n_elements(npnts) eq 0 then npnts=8001
	if n_elements(ntrace) eq 0 then ntrace=1
    flist=file_search(fbase+"*.dat")
	nfiles=n_elements(flist)
	if nfiles eq 0 then return,0
	for ifile=0,nfiles-1 do begin
        istat=anritinpbin(flist[ifile],ntrace,f,npnts=npnts,trcord=1)
		if istat ne 1 then begin
			print,"anritinpbin returns,",istat," for "+flist[ifile]
			return,-1
		endif
        if ifile eq 0 then begin
            ffAr=replicate(f,nfiles)
        endif
        ffAr[ifile]=f
    endfor
	return,nfiles
end
