;+
;NAME:
;wbffonoff - input a on,off position switch
;SYNTAX: istat=wbffonoff(fbase,spcI,ffon=ffon,ffoff=ffoff,npnts=npnts,ntrace=ntrace)
;ARGS:
;fbase: string  filebase to match.includes dir and _ before on,or off
;KEYWORDS:
; npnts:  long   number of points in spectra. def 8001
; ntrace: long   number of traces. def=1 
;RETURNS:
;istat     : 1 gotit
;          : 0 nofiles
;          :-1  some error
;-
function wbffonoff,fbase,spcI,ffon=ffon,ffoff=ffoff,npnts=npnts,ntrace=ntrace
;
	onBase=fbase + "on"
	offBase=fbase + "off"
	istat=wbffinpscan(onBase,ffon,npnts=npnts,ntrace=ntrace)
	if istat le 0 then begin
		print,"wbffinpscan returns:",istat," for on files"
		return,istat
	endif
	istat=wbffinpscan(offBase,ffoff,npnts=npnts,ntrace=ntrace)
	if istat le 0 then begin
		print,"wbffinpscan returns:",istat," for off files"
		return,istat
	endif
	non=n_elements(ffon)
	noff=n_elements(ffoff)
	if (non ne noff) then begin
		print,"wbonoff: warn..non=",non," noff=",noff
	endif 
;
; do avg, rms
;
    yon=10d^(ffon.spc*.1)
    yoff=10d^(ffoff.spc*.1)
	avgDim=(ntrace eq 1)?2:3
   	yavgOn=total(yon,avgDim)/non
   	yavgOff=total(yoff,avgDim)/noff
	if ntrace eq 1 then begin
    	rmsOn=rmsbychan(yon)
    	rmsOff=rmsbychan(yoff)
	endif else begin
		rmsOn=dblarr(npnts,ntrace)
		rmsOff=dblarr(npnts,ntrace)
		for  i=0,ntrace-1 do begin
    		rmsOn[*,i] =rmsbychan(reform(yon[*,i,*],npnts,non))
    		rmsOff[*,i] =rmsbychan(reform(yoff[*,i,*],npnts,noff))
		endfor
	endelse
	spcI={$
		npnts:npnts,$
	    ntrace:ntrace,$
		non  :non,$
		noff :noff,$
		fbase:fbase,$
	    freq :ffon[0].freq,$
		onAvg:yavgOn,$
		offAvg:yavgOff,$
		rmsOn :rmsOn,$
	    rmsOff:rmsOff,$
		onoff :(yavgOn*1d/yavgoff)}
	return,1
end
