;+
;NAME: 
;wstldrec21 - load struct from ascii input after 13jan21
;SYNTAX: a=wstldrec21(inpl,tip=tip)
;ARGS:
;  inpl: string  ascii record read from oriondata.txt.
;KEYWORDS:
;tip             if set then include tipping meter rain info
;                this duplicates the rain entries with 2
;                iw rainToday2, etc
;               
;DESCRIPTION:
;   load wst structure from ascii input line
;We switched orion weather stations on  13jan21 (old one was on the platform :)
;The order of the data in the new ascii file is in a different order than the old one.
; This routine should be used for data on/after 13jan21.
; We are using the same structure, just loading it in a different order.
; missing:
;    north offset no longer available
;    rain duration
;-
function wstldrec21,inpl,tip=tip
	
	aa=strsplit(inpl,',',/extract)
	n=n_elements(aa)
	str=(keyword_set(tip))?{wststrtip}:{wststr}
	j=0
	str.jd           =wstdatetojd(aa[j++])
	str.temp           =aa[j++] 
;	str.windChill      =aa[j++] 
;	str.heatIndex      =aa[j++] 
	j+=2
 	str.dewpoint       =aa[j++] 
; 	str.degDays        =aa[j++] 
; 	str.denAlt         =aa[j++] 
; 	str.avgTempDay     =aa[j++] 
	j+=3
  	str.vapPresSat      =aa[j++] 
  	str.vapPres         =aa[j++] 
  	str.dryAirPres      =aa[j++] 
  	str.dryAirDen       =aa[j++] 
  	str.humAbs          =aa[j++] 
;  	str.airDenRat       =aa[j++] 
;  	str.altAdj          =aa[j++] 
;  	str.saeCorFact      =aa[j++] 
	j+=3
  	str.wetAirDen       =aa[j++] 
; 	str.wetBulbGlobeTemp=aa[j++] 
	j+=1
	str.relHum         =aa[j++] 
	str.windspd      =float(aa[j++])
;   mtWindSpeed.mx  looks likt mx,mn aren't output
;   mtWindSpeed.mn
;	str.windDirRaw   =float(aa[j++])
	j+=1
	str.windDirAdj   =float(aa[j++])
;   mtAdjWindDir.mx
;   mtAdjWindDir.mn
;	j+=2
	str.wiAvg3sec.spd=float(aa[j++])
	str.wiAvg3sec.dir=float(aa[j++])
	str.wiAvg2min.spd=float(aa[j++])
	str.wiAvg2min.dir=float(aa[j++])
	str.wiAvg10min.spd=float(aa[j++])
	str.wiAvg10min.dir=float(aa[j++])
;   mt60MinRollAvgWindSpeed
;   mt60MinRollAvgWindDir
	j+=2
	str.wiGust10min.dir=float(aa[j++])
	str.wiGust10min.spd=float(aa[j++])
	str.gust10minJd    =wstdatetojd(aa[j++])
;   mt1MinSustWindSpeed
	j+=1
 	str.barPresRaw     =aa[j++] 
 	str.barPresAdj     =aa[j++] 
  	str.rainToday       =aa[j++] 
;  	str.rainWeek        =aa[j++] 
	j+=1
  	str.rainMonth       =aa[j++] 
;  	str.rainYear        =aa[j++] 
	j+=1
  	str.rainIntensity   =aa[j++]   ; in file called rain rate
;   mtRainLastHr
;	mtHailRate
;   mtHailToday
	j+=3
	if (keyword_set(tip)) then begin
  		str.rainToday2       =aa[j++] 
;  		str.rainWeek2       =aa[j++] 
		j+=1
  		str.rainMonth2      =aa[j++] 
;  		str.rainYear2       =aa[j++] 
		j+=1
  		str.rainIntensity2  =aa[j++]   ; in file called rain rate
	endif
  	str.rainDuration    =0. ; not available 2021
  	str.trueNorthOff    =0. ; not available 2021
	return,str
end
