;+
;NAME: 
;wstorionloginp - read  an orion log file
;
;SYNTAX: n=wstorionloginp(filename,logI)
;ARGS:
;  filename: string    to input
;RETURNS:
;      n:  int   number records input
; logI[n]: struct input data
;               
;DESCRIPTION:
;   The complete orion logfiles can be downloaded from the web interface by:
;data export
; show datalogs
; right click on link, then save.
;These logs contain all of the orion data (not just the stuff saved
;for ao wst logs.
;Note:
; this routine needs the 8.6 version of read_csv.
;-
function wstorionloginp,filename,lI
	
	if (!version.release lt '8.6.0') then begin
		print,"wstorionloginp need idl version 8.6.0 or greater"	
		return,-1
	endif
;   number of files mar21 is 54
	nf=54
	types=strarr(54)
 	types[0]="Datetime"
	types[1:*]=""
	v=read_csv(filename,header=h,count=nrecs,types=types)
	if nrecs eq 0 then return,0
	fnames=strsplit(h,/extr)
	; change mt to m
    ; change . to _  in names
	for i=0,nf-1 do begin &$
    	s=strmid(fnames[i],2) &$
    	s='m'+s &$
    	ip=strpos(s,'.') &$
    	if (ip gt -1) then  strput,s,"_",ip  &$
    	fnames[i]=s &$
	endfor
;
; now try to create a struct
;
	i=0
	p=create_struct(fnames[i],v.(i)[0])
	for i=1,nf-1 do p=create_struct(p,fnames[i],v.(i)[0])
	lI=replicate(p,nrecs)
	for i=0,nf-1 do lI.(i)=v.(i)
	return,nrecs
end
